Bug 841684 - Need Update for the "service jon-agent" Usage prompt
Need Update for the "service jon-agent" Usage prompt
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.0
Unspecified Unspecified
high Severity high
: CR01
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 837381
  Show dependency treegraph
 
Reported: 2012-07-19 17:02 EDT by Zhengping Jin
Modified: 2013-09-11 06:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 06:58:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhengping Jin 2012-07-19 17:02:22 EDT
Description of problem:
missing "config" option in the "service jon-agent" Usage prompt

Version-Release number of selected component (if applicable): 3.1.0


How reproducible: 100%


Steps to Reproduce:
1. install agent
2. run "service agent"
  
Actual results:
Usage: /usr/share/jboss-on-3.1.0.GA/agent/bin/rhq-agent-wrapper.sh { start | stop | kill | restart | status }

Expected results:
Usage: /usr/share/jboss-on-3.1.0.GA/agent/bin/rhq-agent-wrapper.sh { config | start | stop | kill | restart | status }


Additional info:
Comment 1 Charles Crouch 2012-07-20 13:36:28 EDT
This covers changing the usage help text only, to include the new option
Comment 2 John Mazzitelli 2012-08-03 11:14:11 EDT
I need replication procedures to fill out the "install agent" step. What is being done to think that "config" is a valid option?

Looking at that script itself, it does not accept "config" as a valid option:

$ ./rhq-agent-wrapper.sh config
Usage: ./rhq-agent-wrapper.sh { start | stop | kill | restart | status }

It isn't accepted (which you can see when it behaves the same when giving it a bad option):

$ ./rhq-agent-wrapper.sh blah
Usage: ./rhq-agent-wrapper.sh { start | stop | kill | restart | status }
Comment 3 Zhengping Jin 2012-08-03 11:26:17 EDT
expect results suggestion as:

Usage: service jon-agent { config | start | stop | kill | restart | status }
Comment 4 Stefan Negrea 2012-08-20 16:29:56 EDT
Moved the config option for the rpm init script to the product wrapper script. 


release/jon3.1.x branch commit:
http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?h=release/jon3.1.x&id=97178358504e3807d4f8ce65fbd7a56b3bb24048
Comment 6 John Sanda 2012-08-29 21:46:47 EDT
The CR1 build is available at
https://brewweb.devel.redhat.com/buildinfo?buildID=231258. Moving to ON_QA.
Comment 7 Mike Foley 2012-08-31 15:03:01 EDT
[root@foleymonsterbox1 bin]# ./rhq-agent-wrapper.sh config
Usage: ./rhq-agent-wrapper.sh { start | stop | kill | restart | status }
[root@foleymonsterbox1 bin]#
Comment 8 Stefan Negrea 2012-09-21 14:19:31 EDT
Please repeat the test and compare the result with the result in comment #3 and the code commit from comment #4. 

The output shown in comment #7 is not valid and the agent RPM was not used for testing. Please use the agent RPM install in conjunction jon-agent service commands.
Comment 9 Filip Brychta 2012-09-24 08:33:54 EDT
Verified on 3.1.1.GA for both the agent installed from rpm (using service jon-agent config) and from zip (using ./rhq-agent-wrapper.sh config)

Note You need to log in before you can comment on or make changes to this bug.